var player = null;
var playPauseButton = null;
var volumeSlider = null;
var backgroundPage = null;

function setPlayStatus()
{
	playPauseButton.style.backgroundImage = "url('image/leer/pause.gif')";
	playPauseButton.title = "Выкл";
}

function setPauseStatus()
{
	playPauseButton.style.backgroundImage = "url('image/leer/play.gif')";
	playPauseButton.title = "Запускай гуся!";
}

function setVolume()
{
	player.volume = volumeSlider.value;
	localStorage.volume = volumeSlider.value;
	updateVolumeUI();
}

function updateVolumeUI() {
	volumeSlider.title = Math.round((volumeSlider.value * 100)) + ' громких гусей из 100';
}

function playPause()
{
	playPauseButton.style.backgroundImage = "url('image/leer/loading.gif')";
	playPauseButton.title = "";

	if (player.paused) {
		if ( volumeSlider.value == 0 )
		{
			volumeSlider.value = 0.8;
			setVolume();
		}
		backgroundPage.play();
	}
	else
		backgroundPage.pause();
}

function optionsButtonClick()
{
	chrome.runtime.openOptionsPage();
}

function legalsButtonClick()
{
	chrome.runtime.openOptionsPage();
}

document.addEventListener('DOMContentLoaded', function () {
	backgroundPage = chrome.extension.getBackgroundPage();
	player = backgroundPage.document.getElementById( 'player' );
	playPauseButton = document.getElementById( 'playButton' );
	volumeSlider = document.getElementById( 'volumeSlider' );
	playPauseButton.addEventListener( 'click', playPause );

	const optionsButton = document.getElementById('optionsButton');
	optionsButton.addEventListener( 'click', optionsButtonClick );

	const legalsButton = document.getElementById('legalsButton');
	legalsButton.addEventListener( 'click', legalsButtonClick );

	player.addEventListener( 'volumechange', setPlayStatus );

	player.addEventListener( 'playing', setPlayStatus );
	player.addEventListener( 'pause', setPauseStatus );
	if (!player.paused)
		setPlayStatus();
		
	volumeSlider.addEventListener( 'change', setVolume );
	volumeSlider.value = player.volume;
	updateVolumeUI();
});
